﻿/* Absolute Center Spinner */
.offcanvas {
	z-index: 1100;
}
.loading {
	position: fixed;
	z-index: 999;
	margin: auto;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	width: 50px;
	height: 50px;
}

/* Transparent Overlay */
.loading:before {
		content: '';
		display: block;
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: rgba(255,255,255,0.5);
	}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
		/* hide "loading..." text */
		font: 0/0 a;
		color: transparent;
		text-shadow: none;
		background-color: transparent;
		border: 0;
	}

.loading:not(:required):after {
			content: '';
			display: block;
			font-size: 10px;
			width: 50px;
			height: 50px;
			margin-top: -0.5em;
			border: 8px solid rgba(111, 66, 193, 1.0);
			border-radius: 100%;
			border-bottom-color: transparent;
			-webkit-animation: spinner 1s linear 0s infinite;
			animation: spinner 1s linear 0s infinite;
		}

/* Animation */

@-webkit-keyframes spinner {
	0% {
		-webkit-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-ms-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-ms-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@-moz-keyframes spinner {
	0% {
		-webkit-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-ms-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-ms-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@-o-keyframes spinner {
	0% {
		-webkit-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-ms-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-ms-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@keyframes spinner {
	0% {
		-webkit-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-ms-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-ms-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@media(max-width: 600px) {
    :root {
        --drawer-width: 100%;
    }
    
}
:root {
	--bs-primary: #7c46af;
	--primary: #7c46af;
}
/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}
body {
    color: #222;
    font-size: 1rem;
    margin-bottom: 15rem;
    line-height: 130%;
}
@media(max-width: 991px){
    body {
        margin-bottom: 23rem;
    }	
}
@media(max-width: 454px) {
    body {
        margin-bottom: 25rem;
    }
}

main {
    margin-top: 1rem;
}

main.content {
    padding-top: 20px;
    text-align: justify;
    font-size: 1.0rem;
    font-weight: 400;
    line-height: 1.5rem;
    color: #3F4850;
}
@media (min-width: 641px) {
.main > div[b-6ak25rtwkx] {
    padding-left: 12px !important;
    padding-right: 12px !important;
}}
/* BREADCRUMB */
main.content .page-breadcrumb {
    background: transparent;
    margin:0;
    padding-left: 0px;
}

main.content .page-breadcrumb a {
    color: #D11739;
}
@media (min-width: 746px) {
	.nav-item {
		padding-top: 1rem;
	}
}


/* RIGHT-SIDEBAR */
.right-sidebar {
    padding-left: 35px;
    padding-top: 93px;
}

/* FOOTER */
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    font-size: .8rem;
    /* Set the fixed height of the footer here */
    min-height: 100px;
    padding-top: 25px;
    padding-bottom: 25px;
    background-color: #7c46af;
    color: white !important;
}

.footer .row .col {
    padding-top: 25px;
    padding-bottom: 25px;
}

.footer .col-4 {
    min-width: 300px;
}
.footer .col-8 {
    min-width: 560px;
    vertical-align: middle;
}

.footer p {
    margin-bottom: 0px;
}

.footer img.footer-logo {
    height: 55px;
    display: inline-block;
    margin-right: 15px;
}
.footer .footer-text {
    height: 35px;
    display: inline-block;
    font-size: 1.4em;
}

.footer table.authors {
    font-size: 1.1em;
}

.footer table.authors tr:first-child td {
    text-align: center;
    font-weight: 700;
    padding-bottom: 5px;
    font-size: 1.2em;
    border-bottom: solid 3px rgba(255,255,255,0.2);
}

.footer table.authors tr:not(:first-child) td {
    width: 130px;
    text-align: center;
    line-height: 1.5em;
}

.footer table.authors tr td a {
    color: #fff;
    text-decoration: underline
}

.footer table.authors tr td a:visited {
    color: #ddd;
}

.footer-tetris {
    background: white;
    border: none;
    margin-top: -25px;
    background: white;
    margin-bottom: 25px;
    height: 69px;
    background: white;
    background-image: url("/images/tetris_footer_red.png");
    background-position: bottom center;
    background-repeat:repeat-x;
}

.navbar .nav-link {
    position: relative;
}

.navbar .nav-link:before {
    content: "";
    position: absolute;
    width: 0;
    height: 1px;
    bottom: 0;
    left: 0;
    background-color: #FFF;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
}

.navbar .nav-link:hover:before {
    visibility: visible;
    width: 100%;
}

@media (min-width: 641px) {
    .navbar-expand-mid {
        flex-wrap: nowrap;
        justify-content: flex-start;
    }

}
.nav-item:first-of-type[b-nmojxvmuj0] {
    padding-top: 0;
}

.nav-item:last-of-type[b-nmojxvmuj0] {
    padding-bottom: 0;
}

.dropdown-item {
	color: #212529 !important;
}

.dropdown-item:hover, .dropdown-item:focus {
	color: #1e2125 !important;
	background-color: #e9ecef !important;
}

.dropdown-item:hover, .dropdown-item:focus {
	color: #1e2125;
	background-color: #e9ecef;
}

	@media (max-width: 641px) {
		.navbar .nav-item:first-of-type {
			padding-top: 1rem !important;
		}

		.navbar .nav-item:last-of-type {
			padding-bottom: 0;
		}
	}


	@media(max-width: 991px) {
		.footer .col-lg-8 {
			text-align: center;
			margin-top: 15px;
		}

		.footer .col-lg-4 table.authors {
			margin: 0 auto;
			margin-bottom: 25px;
		}
	}
	/* Custom page CSS
-------------------------------------------------- */
	/* Not required for template or sticky footer method. */

	body > .container {
    padding: 60px 15px 0;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

code {
    font-size: 80%;
}

.container-fluid {
    max-width: 1100px;
    margin: 0 auto;
}
.card {
	border: 1px solid rgba(0, 0, 0, 0.125);
}
.card-header {
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
}
.card-footer {
	border-top: 1px solid rgba(0, 0, 0, 0.125);
}
.btn-primary {
	background-color: #7c46af !important;
	border-color: #7c46af !important;
}

.active .page-link {
	background-color: #7c46af !important;
	border-color: #7c46af !important;
}

.btn-primary:hover {
    background-color: #61428f !important;
    border-color: #61428f !important;
}
.btn-outline-primary {
	border-color: #7c46af !important;
	color: #7c46af !important;
}
.btn-outline-primary:hover {
	background-color: #61428f !important;
	border-color: #7c46af !important;
	color: #e9ecef !important;
}
.btn-primary.active {
	background-color: #7c46af;
	border-color: #7c46af;
}
.btn-primary:focus {
	background-color: #7c46af;
	border-color: #7c46af;
	box-shadow: 0 0 0 0.25rem rgb(124 70 175 / 50%);
}

#header {
    padding-top: 1.7rem;
    padding-bottom: 1.3rem;
}
#header img.web-logo {
    height: 55px;
}

#header .web-logo img {
    height: 55px;
}

#header .web-title {
    font-size: 1.4rem;
    display: inline-block;
    font-weight: 500;
    vertical-align: bottom;
    margin-bottom: 0;
}

@media (max-width:600px) {
    #header .web-logo {
        text-align: center;
        display: block;
        width: 100%;
        margin-top: -10px !important;
    }

    #header .web-logo img {
        height: 55px;
    }

    #header .web-title {
        text-align: center;
        margin-top: 5px;
        width: 100%;
        margin-left: 0px !important;
        margin-bottom: -5px !important;
    }

}

#header .web-title span {
    font-style: italic;
}

#header a {
    text-decoration: none;
}
.spinner {
	margin: auto;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 2;
}

@media(max-width: 791px) {
	.hx-progress-overlay {
		overflow: auto;
	}
}
/* NAVBAR */
.bg-tvkm {
    background: #7c46af;
}
.nav-item {
    font-size: 1.1rem !important;
}

.nav-item a.active {
    background-color: transparent !important;
}

.navbar-red .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255, 255, 255, 0.85)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.navbar-red.navbar-toggleable-sm .navbar-nav > .nav-item {
    padding-left: .5rem !important;
    padding-right: .5rem !important;
    font-size: 0.95rem;
    text-transform: uppercase;
    text-decoration: none;
}

.navbar-red .navbar-nav .nav-item {
    color: #fff;
    cursor: pointer;
}

.navbar-red .navbar-nav .nav-item:hover,
.navbar-red .navbar-nav .nav-item:hover a:not(.disabled)
 {
    color: #333 !important;
    background: #fff;
}

.navbar-red, .navbar-red a {
    font-weight: 400;
    color: #fff !important;
}

.navbar-red a.disabled {
    font-weight: 400;
    color: #333 !important;
    cursor: default;
}

.navbar-red .dropdown a.dropdown-item {
    font-weight: 400;
    color: #212529 !important;
    padding-top: 12px;
    padding-bottom: 12px;
    text-transform: none;
}

.navbar-red .dropdown a.dropdown-item:not(.disabled):hover {
    background: #E4E8EC !important;
    text-decoration: underline
}

.navbar-red .dropdown a.disabled {
    color: #999 !important;
    cursor: default;
}

.navbar-red .dropdown-menu {
    position: relative;
    top: 95%;
    color: #212529 !important;
    background: #FFF;
    border-radius: 0 !important;
    padding: 0px;
    border: none !important;
    box-shadow: 2px 5px 10px rgba(0,0,0,.25) !important;
}

.navbar-dark .navbar-toggler {
    outline: none;
}

/* RIGHT SIDEBAR BOX */
.right-sidebar .box {
    background: #FBFBFB;
    padding: 15px 20px;
    margin-bottom: 25px;
    box-shadow: 1px 3px 7px rgba(0,0,0,.1) !important;
}

.right-sidebar .box .title {
    font-size: 1.35rem;
    padding: 5px 0 5px 5px;
    margin-bottom: 3px;
    border-bottom: solid 1px #E3E3E3;
}

.right-sidebar .box.text-dark .title {
    border-bottom: solid 1px #545454;
}

.right-sidebar .box ul {
    padding-left: 30px;
}

.table td {
    vertical-align: middle;
}
th {
	vertical-align:top;
}

.table-detail tr th{
    width: 250px;
    max-width: 300px;
}

.form {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.form .link {
    font-size: 1rem;
}


.form table tr td {
}

.form table tr td.title {
    font-size: 1rem;
    font-weight: bold;
    padding-right: 15px;
}

#mceu_13,
#mceu_30,
#mceu_31 {
    display: none !important;
}


.main-page h2 {
    font-size: 170% !important;
    margin-top: 15px;
    margin-bottom: 5px;
}

.errorPage .status,
.errorPage .message,
.errorPage .route {
    text-align: center;
}

.errorPage .status {
    font-size: 6REM;
    margin-top: 55px;
    font-weight: bolder;
    color: #D11739;
}

.errorPage .message {
    font-size: 2.8REM;
    margin-top: 70px;
    font-weight: 500;
    color: #333;
}

.errorPage .route {
    font-size: 2.1REM;
    margin-top: 30px;
    color: #444;
}

﻿ /*add this to avoid flickering*/
.plk-dd-inprogess > * {
	pointer-events: none;
}

/*dropzone style style*/
.plk-dd-dropzone {
	min-height: 50px;
}

/*drag drop styles*/

.plk-dd-spacing {
	height: 10px;
}

.plk-dd-spacing-dragged-over {
	padding: 25px;
}
.plk-dd-draggable {
	background-color: rgba(0,0,0,.03);
	border-radius: calc(.25rem - 1px) calc(.25rem - 1px) calc(.25rem - 1px) calc(.25rem - 1px);
	border: 1px solid rgba(0,0,0,.125);
}

.plk-dd-dragged-over {
	background-color: lightgray;
	opacity: 0.6;
	animation: blinker 1s linear infinite;
}

.plk-dd-dragged-over > div {
	background-color: lightgray;
	opacity: 0.6;
	animation: blinker 1s linear infinite;
}

.plk-dd-dragged-over-denied {
	background-color: red;
	opacity: 1;
	animation: blinker 1s linear infinite;
}

.plk-dd-in-transit {
	opacity: 0.1;
}

.plk-dd-in-transit > div {
	opacity: 0.1;
}

@keyframes blinker {
	50% {
		opacity: 0;
	}
}

.blink_me {
	animation: blinker 1s linear infinite;
}